Name:           perl-Log-Any
Version:        0.15
Release:        1%{?dist}
Summary:        Bringing loggers and listeners together
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Log-Any/
Source0:        http://www.cpan.org/authors/id/J/JS/JSWARTZ/Log-Any-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
# Module Build
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
# Module Runtime
BuildRequires:  perl(base)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Test::Builder)
# Test Suite
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Simple)
# Release Tests
%if 0%{!?perl_bootstrap:1}
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Log::Any::Adapter)
BuildRequires:  perl(Log::Any::Adapter::Dispatch)
BuildRequires:  perl(Log::Dispatch)
%endif
# Runtime
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Log::Any allows CPAN modules to safely and efficiently log messages, while
letting the application choose (or decline to choose) a logging mechanism
such as Log::Dispatch or Log::Log4perl.

%prep
%setup -q -n Log-Any-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT

%check
make test %{!?perl_bootstrap:RELEASE_TESTING=1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes LICENSE README
%{perl_vendorlib}/Log/
%{_mandir}/man3/Log::Any.3pm*
%{_mandir}/man3/Log::Any::Adapter::Core.3pm*
%{_mandir}/man3/Log::Any::Adapter::Null.3pm*
%{_mandir}/man3/Log::Any::Test.3pm*

%changelog
* Mon Oct  7 2013 Paul Howarth <paul@city-fan.org> - 0.15-1
- Update to 0.15
  - Migrate to Dist::Zilla
  - Return false from null adapter is_xxx methods (CPAN RT#64164)
  - Eliminate 'subroutine redefined' warning in case Log::Any::Adapter loaded
    before Log::Any::Test
  - Fix typo in lib/Log/Any/Adapter/Test.pm (CPAN RT#69850)
  - Fix version number in Log/Any.pm
  - Hide 'package Log::Any::Adapter' from PAUSE/Module::Metadata
- If we're not bootstrapping, run the release tests too
- Specify all dependencies
- Package upstream LICENSE file
- Drop %%defattr, redundant since rpm 4.4
- Make %%files list more explicit
- Don't need to remove empty directories from the buildroot
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Don't use macros for commands
- Drop redundant provides filter

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.11-11
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Petr Pisar <ppisar@redhat.com> - 0.11-8
- Perl 5.16 rebuild

* Sat Apr 21 2012 Paul Howarth <paul@city-fan.org> - 0.11-7
- BR: perl(base), perl(Data::Dumper), perl(Test::Builder)

* Wed Jul 20 2011 Iain Arnell <iarnell@gmail.com> - 0.11-6
- Add __provides_exclude macro for rpm 4.9

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.11-5
- Perl mass rebuild

* Thu Jun 09 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.11-4
- Perl 5.14 mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 0.11-2
- Add %%perl_default_filter.
- Filter out bogus Provides: perl(Log::Any::Adapter).

* Sat Feb 13 2010 Steven Pritchard <steve@kspei.com> 0.11-1
- Specfile autogenerated by cpanspec 1.79.
- Add --skipdeps to Makefile.PL to avoid attempting to download dependencies.
